summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/command/build25
-rw-r--r--scripts/command/build-acl77
-rw-r--r--scripts/command/build-docker52
-rw-r--r--scripts/command/configure85
-rw-r--r--scripts/command/docker-run10
-rw-r--r--scripts/command/docker-run-user10
-rw-r--r--scripts/command/docker-shell11
-rwxr-xr-xscripts/command/docker_build_cross_arm_ubuntu.sh30
-rwxr-xr-xscripts/command/docker_build_tizen_cross.sh27
-rwxr-xr-xscripts/command/docker_coverage_report.sh9
-rwxr-xr-xscripts/command/docker_cross_test_coverage_build.sh21
-rw-r--r--scripts/command/docker_env_neurun1
-rw-r--r--scripts/command/docker_env_pureacl_tflite_benchmark_model2
-rwxr-xr-xscripts/command/docker_gbs_build.sh26
-rwxr-xr-xscripts/command/docker_run_test.sh18
-rwxr-xr-xscripts/command/format-checker.sh178
-rwxr-xr-xscripts/command/gen_coverage_report.sh57
-rw-r--r--scripts/command/install16
-rw-r--r--scripts/command/nnfw_docker14
-rw-r--r--scripts/command/nnfw_docker_tizen14
-rwxr-xr-xscripts/command/tizen_xu4_test.sh155
-rw-r--r--scripts/config/build.configuration5
-rw-r--r--scripts/config/docker.configuration44
-rw-r--r--scripts/config/gbs.conf21
-rw-r--r--scripts/config/image_name.configuration3
-rw-r--r--scripts/docker/Dockerfile19
-rw-r--r--scripts/docker/Dockerfile_tizen13
-rwxr-xr-xscripts/git-hooks/install_hooks.sh11
-rwxr-xr-xscripts/git-hooks/pre-push32
29 files changed, 0 insertions, 986 deletions
diff --git a/scripts/command/build b/scripts/command/build
deleted file mode 100644
index 1e8b9b731..000000000
--- a/scripts/command/build
+++ /dev/null
@@ -1,25 +0,0 @@
-#!/bin/bash
-
-# NOTE 'run' sets NNFW_SCRIPT_PATH and invokes this script
-source "${NNFW_SCRIPT_PATH}/config/build.configuration"
-
-if [[ ! -d "${BUILD_ALIAS}" ]]; then
- echo "'${BUILD_ALIAS}' does not exist. Please run 'configure' first"
- exit 255
-fi
-
-# Set parallel build
-# TODO Use argument instead of environment variable
-HOST_OS=${HOST_OS:-linux}
-NPROCS=${NPROCS:-1}
-PARALLEL_BUILD=${PARALLEL_BUILD:-1}
-
-if [ "${PARALLEL_BUILD}" == "1" ]; then
- # Get number of processors (linux only for now)
- if [ "${HOST_OS}" == "linux" ]; then
- NPROCS="$(grep -c ^processor /proc/cpuinfo)"
- fi
-fi
-
-cd ${BUILD_ALIAS}
-make -j ${NPROCS} "$@"
diff --git a/scripts/command/build-acl b/scripts/command/build-acl
deleted file mode 100644
index a9957555b..000000000
--- a/scripts/command/build-acl
+++ /dev/null
@@ -1,77 +0,0 @@
-#!/bin/bash
-
-# NOTE 'run' sets NNFW_SCRIPT_PATH and invokes this script
-source "${NNFW_SCRIPT_PATH}/config/build.configuration"
-
-# Set parallel build
-# TODO: use argument instead of environment variable and merge with build command
-TARGET_ARCH=${TARGET_ARCH:-armv7l}
-BUILD_TYPE=${BUILD_TYPE:-Debug}
-NPROCS=${NPROCS:-1}
-PARALLEL_BUILD=${PARALLEL_BUILD:-1}
-HOST_OS=${HOST_OS:-linux}
-TARGET_OS=${TARGET_OS:-linux}
-
-# make TARGET and TYPE to lowercase
-TARGET_ARCH_LC="$(echo ${TARGET_ARCH} | tr A-Z a-z)"
-BUILD_TYPE_LC="$(echo ${BUILD_TYPE} | tr A-Z a-z)"
-# we need base name 'arm` for all arm arch
-TARGET_ARCH_BASE="${TARGET_ARCH_LC}"
-
-if [ "${TARGET_ARCH_BASE}" == *"arm64"* ]; then
- # For now Android is the only option for arm64
- TARGET_ARCH_BASE=arm64
- TARGET_OS=android
-fi
-
-if [ "${PARALLEL_BUILD}" == "1" ]; then
- # Get number of processors (linux only for now)
- if [ "${HOST_OS}" == "linux" ]; then
- NPROCS="$(grep -c ^processor /proc/cpuinfo)"
- fi
-fi
-
-ACL_FOLDER="externals/acl"
-ACL_COMMAND="scons -j${NPROCS} neon=1 opencl=1 examples=0 embed_kernels=1 os=${TARGET_OS}"
-if [ "${TARGET_ARCH_LC}" == "armv7l" ]; then
- ACL_COMMAND+=" arch=armv7a"
- ACL_BUILD_OUT="armv7a-${TARGET_OS}"
-elif [ "${TARGET_ARCH_LC}" == "aarch64" ]; then
- ACL_COMMAND+=" arch=arm64-v8a"
- ACL_BUILD_OUT="arm64-v8a-${TARGET_OS}"
-elif [ "${TARGET_ARCH_BASE}" == "arm64" ]; then
- ACL_COMMAND+=" arch=arm64-v8a"
- ACL_BUILD_OUT="arm64-v8a-${TARGET_OS}"
-fi
-
-if [ "${TARGET_OS}" == "android" ]; then
- ACL_COMMAND+=" Werror=0"
- ANDROID_GNUSTL_PATH="${ROOTFS_ARM64}/bin:${ROOTFS_ARM64}/aarch64-linux-android/bin:$$PATH"
-else
- ACL_COMMAND+=" Werror=1"
-fi
-
-if [ "${BUILD_TYPE_LC}" == "debug" ]; then
- ACL_COMMAND+=" debug=1 asserts=1"
-fi
-
-ACL_FOLDER_NAME="${ACL_BUILD_OUT}.${BUILD_TYPE_LC}"
-ACL_COMMAND+=" build_dir=${ACL_FOLDER_NAME}"
-ACL_FOLDER_BUILD="${ACL_FOLDER}/build/${ACL_FOLDER_NAME}"
-
-pushd ${ACL_FOLDER}
-if [ "${TARGET_OS}" == "android" ]; then
- CXX=clang++ CC=clang PATH=${ANDROID_GNUSTL_PATH} ${ACL_COMMAND}
-else
- ${ACL_COMMAND}
-fi
-popd
-
-WORK_FOLDER=${TARGET_ARCH_LC}-${TARGET_OS}.${BUILD_TYPE_LC}
-WORK_PATH=${NNFW_PROJECT_PATH}/${WORKSPACE_RPATH}/${WORK_FOLDER}
-INSTALL_PATH=${NNFW_INSTALL_PATH:-${WORK_PATH}/out}
-
-mkdir -vp ${INSTALL_PATH}/lib
-cp -v ${ACL_FOLDER_BUILD}/libarm_compute_core.so ${INSTALL_PATH}/lib/.
-cp -v ${ACL_FOLDER_BUILD}/libarm_compute_graph.so ${INSTALL_PATH}/lib/.
-cp -v ${ACL_FOLDER_BUILD}/libarm_compute.so ${INSTALL_PATH}/lib/.
diff --git a/scripts/command/build-docker b/scripts/command/build-docker
deleted file mode 100644
index 2da70be78..000000000
--- a/scripts/command/build-docker
+++ /dev/null
@@ -1,52 +0,0 @@
-#!/bin/bash
-
-function Usage()
-{
- echo "Usage: $0 $(basename ${BASH_SOURCE[0]}) [OPTIONS]"
- echo ""
- echo "Options:"
- echo " --tizen Build docker image for tizen build"
- echo "Options can use as docker build option:"
- docker build --help
-}
-
-DOCKER_FILE_RPATH="docker/Dockerfile"
-DOCKER_BUILD_ARGS=()
-
-# Handle argument for this script
-# Set default docker image name, tag
-for i in "$@"
-do
- case $i in
- -h|--help|help)
- Usage
- exit 1
- ;;
- --tizen)
- DOCKER_IMAGE_NAME=${DOCKER_IMAGE_NAME:-nnfw_docker_tizen}
- DOCKER_FILE_RPATH="docker/Dockerfile_tizen"
- ;;
- esac
-done
-source "$NNFW_SCRIPT_PATH/config/image_name.configuration"
-DOCKER_BUILD_ARGS+="-t ${DOCKER_IMAGE_NAME}"
-
-# Argument for docker build commands
-for i in "$@"
-do
- case $i in
- -h|--help|help)
- --tizen)
- # Already handled argument
- ;;
- *)
- DOCKER_BUILD_ARGS+=($1)
- ;;
- esac
- shift
-done
-
-docker build --build-arg http_proxy="$http_proxy" \
- --build-arg https_proxy="$https_proxy" \
- ${DOCKER_BUILD_ARGS[@]} \
- - < $NNFW_SCRIPT_PATH/$DOCKER_FILE_RPATH
diff --git a/scripts/command/configure b/scripts/command/configure
deleted file mode 100644
index 3b654d677..000000000
--- a/scripts/command/configure
+++ /dev/null
@@ -1,85 +0,0 @@
-#!/bin/bash
-
-source "${NNFW_SCRIPT_PATH}/config/build.configuration"
-
-# Set target platform using environment variable
-# TODO: use argument instead of environment variable
-TARGET_ARCH=${TARGET_ARCH:-$(uname -p)}
-BUILD_TYPE=${BUILD_TYPE:-Debug}
-CROSS_BUILD=${CROSS_BUILD:-0}
-HOST_OS=${HOST_OS:-linux}
-TARGET_OS=${TARGET_OS:-linux}
-## TODO: fix obs build break
-OBS_BUILD=${OBS_BUILD:-OFF}
-COVERAGE_BUILD=${COVERAGE_BUILD:-0}
-BENCHMARK_ACL_BUILD=${BENCHMARK_ACL_BUILD:-0}
-OPTIONS=${OPTIONS:-}
-
-# make TARGET and TYPE to lowercase
-TARGET_ARCH_LC="$(echo ${TARGET_ARCH} | tr A-Z a-z)"
-BUILD_TYPE_LC="$(echo ${BUILD_TYPE} | tr A-Z a-z)"
-
-if [ "${TARGET_ARCH_LC}" == *"arm64"* ]; then
- # arm64 as target-arch comes from Android
- if [ ! -z ${ROOTFS_DIR} ]; then
- ROOTFS_ARM64="${ROOTFS_DIR}"
- export ROOTFS_ARM64
- fi
- # For now Android is the only option for arm64
- TARGET_OS=android
-elif [ "${TARGET_ARCH_LC}" == *"arm"* ]; then
- if [ ! -z ${ROOTFS_DIR} ] ; then
- ROOTFS_ARM="${ROOTFS_DIR}"
- export ROOTFS_ARM
- fi
-elif [ "${TARGET_ARCH_LC}" == *"aarch64"* ]; then
- # aarch64 as target-arch comes from all except for Android
- if [ ! -z ${ROOTFS_DIR} ] ; then
- ROOTFS_ARM64="${ROOTFS_DIR}"
- export ROOTFS_ARM64
- fi
-fi
-
-# Todo: we may set CROSS_BUILD=1 when ROOTFS_DIR is given
-# the toolchain file, only for cross build
-if [ "${CROSS_BUILD}" == "1" ]; then
- TOOLCHAIN_FILE="cmake/config/config_${TARGET_ARCH_LC}-${TARGET_OS}.cmake"
- OPTION_TOOLCHAIN="-DCMAKE_TOOLCHAIN_FILE=${TOOLCHAIN_FILE}"
-else
- OPTION_TOOLCHAIN=
-fi
-
-if [ "${COVERAGE_BUILD}" == "1" ]; then
- OPTIONS+=" -DCOVERAGE_BUILD=1"
-else
- OPTIONS+=" -DCOVERAGE_BUILD=0"
-fi
-
-if [ "${BENCHMARK_ACL_BUILD}" == "1" ]; then
- OPTIONS+=" -DBUILD_BENCHMARK_ACL=1"
-fi
-
-WORK_FOLDER=${TARGET_ARCH_LC}-${TARGET_OS}.${BUILD_TYPE_LC}
-WORK_PATH=${NNFW_PROJECT_PATH}/${WORKSPACE_RPATH}/${WORK_FOLDER}
-BUILD_PATH=${WORK_PATH}/obj
-INSTALL_PATH=${NNFW_INSTALL_PATH:-${WORK_PATH}/out}
-
-mkdir -vp ${BUILD_PATH}
-mkdir -vp ${INSTALL_PATH}
-rm -rf ${BUILD_ALIAS}
-rm -rf ${INSTALL_ALIAS}
-ln -s ${BUILD_PATH} ${BUILD_ALIAS}
-ln -s ${INSTALL_PATH} ${INSTALL_ALIAS}
-
-cd "${BUILD_PATH}"
-
-cmake \
- -B${BUILD_PATH} -H${NNFW_PROJECT_PATH} \
- -DCMAKE_INSTALL_PREFIX=${INSTALL_PATH} \
- -DCMAKE_BUILD_TYPE=${BUILD_TYPE_LC} -DTARGET_ARCH=${TARGET_ARCH_LC} \
- -DHOST_OS=${HOST_OS} \
- -DTARGET_OS=${TARGET_OS} \
- -DOBS_BUILD=${OBS_BUILD} \
- ${OPTION_TOOLCHAIN} \
- ${OPTIONS} \
- "${NNFW_PROJECT_PATH}" "$@"
diff --git a/scripts/command/docker-run b/scripts/command/docker-run
deleted file mode 100644
index ff0881967..000000000
--- a/scripts/command/docker-run
+++ /dev/null
@@ -1,10 +0,0 @@
-#!/bin/bash
-
-source "${NNFW_SCRIPT_PATH}/config/docker.configuration"
-
-docker run $DOCKER_RUN_OPTS $DOCKER_ENV_VARS $DOCKER_VOLUMES $DOCKER_IMAGE_NAME "$@"
-EXITCODE=$?
-
-docker_cleanup
-
-exit $EXITCODE
diff --git a/scripts/command/docker-run-user b/scripts/command/docker-run-user
deleted file mode 100644
index d5b74db39..000000000
--- a/scripts/command/docker-run-user
+++ /dev/null
@@ -1,10 +0,0 @@
-#!/bin/bash
-
-source "${NNFW_SCRIPT_PATH}/config/docker.configuration"
-
-DOCKER_RUN_OPTS+=" -u $(id -u):$(id -g)"
-
-docker run $DOCKER_RUN_OPTS $DOCKER_ENV_VARS $DOCKER_VOLUMES $DOCKER_IMAGE_NAME "$@"
-EXITCODE=$?
-
-exit $EXITCODE
diff --git a/scripts/command/docker-shell b/scripts/command/docker-shell
deleted file mode 100644
index 1f942cedb..000000000
--- a/scripts/command/docker-shell
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/bash
-
-source "${NNFW_SCRIPT_PATH}/config/docker.configuration"
-
-DOCKER_RUN_OPTS+=" -it"
-docker run $DOCKER_RUN_OPTS $DOCKER_ENV_VARS $DOCKER_VOLUMES $DOCKER_IMAGE_NAME "/bin/bash"
-EXITCODE=$?
-
-docker_cleanup
-
-exit $EXITCODE
diff --git a/scripts/command/docker_build_cross_arm_ubuntu.sh b/scripts/command/docker_build_cross_arm_ubuntu.sh
deleted file mode 100755
index 29f27260e..000000000
--- a/scripts/command/docker_build_cross_arm_ubuntu.sh
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/bin/bash
-
-DOCKER_ENV_VARS+=" -e TARGET_ARCH=armv7l"
-DOCKER_ENV_VARS+=" -e CROSS_BUILD=1"
-DOCKER_ENV_VARS+=" -e ROOTFS_DIR=/opt/rootfs"
-
-# prepare rootfs
-if [[ ! -d $ROOTFS_DIR ]]; then
- echo "cannot find rootfs"
- exit 1
-fi
-
-DOCKER_VOLUMES+=" -v $ROOTFS_DIR:/opt/rootfs"
-
-export DOCKER_ENV_VARS
-export DOCKER_VOLUMES
-
-pushd $NNFW_PROJECT_PATH
-
-if [ -n "$DOCKER_INTERACTIVE" ]; then
- source run docker-shell
-else
- CMD="export BENCHMARK_ACL_BUILD=1 && make acl && make && make install && make build_test_suite"
- source run docker-run-user bash -c "${CMD}"
-fi
-EXITCODE=$?
-
-popd
-
-exit $EXITCODE
diff --git a/scripts/command/docker_build_tizen_cross.sh b/scripts/command/docker_build_tizen_cross.sh
deleted file mode 100755
index 6d750b1a9..000000000
--- a/scripts/command/docker_build_tizen_cross.sh
+++ /dev/null
@@ -1,27 +0,0 @@
-#!/bin/bash
-
-DOCKER_ENV_VARS+=" -e TARGET_ARCH=armv7l"
-DOCKER_ENV_VARS+=" -e CROSS_BUILD=1"
-DOCKER_ENV_VARS+=" -e ROOTFS_DIR=/opt/rootfs"
-DOCKER_ENV_VARS+=" -e TARGET_OS=tizen"
-
-# prepare rootfs
-if [[ ! -d $ROOTFS_DIR ]]; then
- echo "cannot find rootfs"
- exit 1
-fi
-
-DOCKER_VOLUMES+=" -v $ROOTFS_DIR/:/opt/rootfs"
-
-export NNFW_PROJECT_PATH
-export NNFW_SCRIPT_PATH
-
-pushd $NNFW_PROJECT_PATH
-
-CMD="make && make install && make build_test_suite"
-source run docker-run-user bash -c "${CMD}"
-EXITCODE=$?
-
-popd
-
-exit $EXITCODE
diff --git a/scripts/command/docker_coverage_report.sh b/scripts/command/docker_coverage_report.sh
deleted file mode 100755
index e4d3a92aa..000000000
--- a/scripts/command/docker_coverage_report.sh
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/bin/bash
-
-DOCKER_ENV_VARS+=" -e SRC_PREFIX=${NNFW_PROJECT_PATH}"
-
-pushd ${NNFW_PROJECT_PATH} > /dev/null
-
-source run docker-run-user bash -c "./run gen_coverage_report.sh"
-
-popd > /dev/null
diff --git a/scripts/command/docker_cross_test_coverage_build.sh b/scripts/command/docker_cross_test_coverage_build.sh
deleted file mode 100755
index 8d8e10835..000000000
--- a/scripts/command/docker_cross_test_coverage_build.sh
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/bin/bash
-
-DOCKER_ENV_VARS+=" -e TARGET_ARCH=armv7l"
-DOCKER_ENV_VARS+=" -e CROSS_BUILD=1"
-DOCKER_ENV_VARS+=" -e ROOTFS_DIR=/opt/rootfs"
-DOCKER_ENV_VARS+=" -e COVERAGE_BUILD=1"
-
-# prepare rootfs
-if [[ ! -d $ROOTFS_DIR ]]; then
- echo "cannot find rootfs"
- exit 1
-fi
-
-DOCKER_VOLUMES+=" -v $ROOTFS_DIR:/opt/rootfs"
-
-pushd $NNFW_PROJECT_PATH > /dev/null
-
-CMD="make acl && make && make install && make build_coverage_suite"
-source run docker-run-user bash -c "${CMD}"
-
-popd > /dev/null
diff --git a/scripts/command/docker_env_neurun b/scripts/command/docker_env_neurun
deleted file mode 100644
index 53b3bbc83..000000000
--- a/scripts/command/docker_env_neurun
+++ /dev/null
@@ -1 +0,0 @@
-OPTIONS=-DBUILD_NEURUN=ON
diff --git a/scripts/command/docker_env_pureacl_tflite_benchmark_model b/scripts/command/docker_env_pureacl_tflite_benchmark_model
deleted file mode 100644
index b1c40e16a..000000000
--- a/scripts/command/docker_env_pureacl_tflite_benchmark_model
+++ /dev/null
@@ -1,2 +0,0 @@
-OPTIONS=-DBUILD_PURE_ARM_COMPUTE=ON -DBUILD_TFLITE_BENCHMARK_MODEL=ON
-BUILD_TYPE=Release
diff --git a/scripts/command/docker_gbs_build.sh b/scripts/command/docker_gbs_build.sh
deleted file mode 100755
index 047d9eff8..000000000
--- a/scripts/command/docker_gbs_build.sh
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/bash
-
-DOCKER_IMAGE_NAME=${DOCKER_IMAGE_NAME:-nnfw_docker_tizen}
-DOCKER_RPM_HOME=$NNFW_PROJECT_PATH/rpm
-
-if [ "${GBS_RPM_DIR}" == "" ];
-then
- GBS_RPM_DIR=$NNFW_PROJECT_PATH/Product/out/rpm
- mkdir -p ${GBS_RPM_DIR}
-fi
-
-DOCKER_VOLUMES+=" -v ${GBS_RPM_DIR}:${DOCKER_RPM_HOME}"
-
-export NNFW_PROJECT_PATH
-export NNFW_SCRIPT_PATH
-
-pushd $NNFW_PROJECT_PATH
-
-CMD="gbs -c ${NNFW_PROJECT_PATH}/scripts/config/gbs.conf build -A armv7l --profile=profile.tizen --clean --include-all --define '${GBS_DEFINE}' &&
- cp -rf /home/GBS-ROOT/local/repos/tizen/armv7l/RPMS/*.rpm ${DOCKER_RPM_HOME}/."
-source run docker-run bash -c "${CMD}"
-EXITCODE=$?
-
-popd
-
-exit $EXITCODE
diff --git a/scripts/command/docker_run_test.sh b/scripts/command/docker_run_test.sh
deleted file mode 100755
index dadd19f8a..000000000
--- a/scripts/command/docker_run_test.sh
+++ /dev/null
@@ -1,18 +0,0 @@
-#!/bin/bash
-
-export DOCKER_ENV_VARS
-export DOCKER_VOLUMES
-
-pushd $NNFW_PROJECT_PATH
-
-if [ -n "$DOCKER_INTERACTIVE" ]; then
- source run docker-shell
-else
- CMD="make install"
- source run docker-run-user bash -c "${CMD}"
-fi
-EXITCODE=$?
-
-popd
-
-exit $EXITCODE
diff --git a/scripts/command/format-checker.sh b/scripts/command/format-checker.sh
deleted file mode 100755
index 2e947ec70..000000000
--- a/scripts/command/format-checker.sh
+++ /dev/null
@@ -1,178 +0,0 @@
-#!/bin/bash
-
-INVALID_EXIT=0
-
-pushd () {
- command pushd "$@" > /dev/null
-}
-
-popd () {
- command popd "$@" > /dev/null
-}
-
-command_exists() {
- command -v $1 > /dev/null 2>&1
-}
-
-check_cpp_tool() {
- if ! command_exists clang-format-3.9; then
- echo "Error: clang-format-3.9 is not available."
- echo " Please install clang-format-3.9."
- exit 1
- fi
-}
-
-check_python_tool() {
- if ! command_exists yapf; then
- echo "Error: yapf is not available."
- echo " Please install yapf."
- exit 1
- fi
-}
-
-check_newline() {
- # Check all files (CMakeLists.txt, *.cl, ... not only for C++, Python)
- FILES_TO_CHECK=$(git ls-files)
- if [[ ${#FILES_TO_CHECK} -ne 0 ]]; then
- CRCHECK=$(file $FILES_TO_CHECK | grep 'with CR')
- fi
- FILES_TO_FIX=($(echo "$CRCHECK" | grep "with CRLF line" | cut -d':' -f1))
- for f in ${FILES_TO_FIX[@]}; do
- tr -d '\r' < $f > $f.fixed && cat $f.fixed > $f && rm $f.fixed
- done
- FILES_TO_FIX=($(echo "$CRCHECK" | grep "with CR line" | cut -d':' -f1))
- for f in ${FILES_TO_FIX[@]}; do
- tr '\r' '\n' < $f > $f.fixed && cat $f.fixed > $f && rm $f.fixed
- done
-}
-
-check_permission() {
- # Check all files except script
- FILES_TO_CHECK=()
- for NON_SCRIPT_FILE in $(git ls-files -- . ':!:run' ':!:scripts/git-hooks/*' ':!:*.sh' ':!:*.py'); do
- FILES_TO_CHECK+=("${NON_SCRIPT_FILE}")
- done
-
- if [[ ${#FILES_TO_CHECK} -eq 0 ]]; then
- return
- fi
- for FILE_TO_CHECK in ${FILES_TO_CHECK[@]}; do
- RESULT=$(stat -c '%A' ${FILE_TO_CHECK} | grep 'x')
- if [ "${RESULT}" != "" ]; then
- chmod a-x ${FILE_TO_CHECK}
- fi
- done
-}
-
-check_cpp_files() {
- DIRECTORIES_TO_BE_TESTED=$1
- DIRECTORIES_NOT_TO_BE_TESTED=$2
-
- # Check c++ files
- for TEST_DIR in ${DIRECTORIES_TO_BE_TESTED[@]}; do
- pushd $TEST_DIR
- CPP_FILES_TO_CHECK=$(git ls-files '*.h' '*.cpp' '*.cc' ':!:NeuralNetworks.h')
- ARR=($CPP_FILES_TO_CHECK)
- for s in ${DIRECTORIES_NOT_TO_BE_TESTED[@]}; do
- if [[ $s = $TEST_DIR* ]]; then
- skip=${s#$TEST_DIR/}/
- ARR=(${ARR[*]//$skip*})
- fi
- done
- CPP_FILES_TO_CHECK=${ARR[*]}
- if [[ ${#CPP_FILES_TO_CHECK} -ne 0 ]]; then
- clang-format-3.9 -i $CPP_FILES_TO_CHECK
- EXIT_CODE=$?
- if [[ $EXIT_CODE -ne 0 ]]; then
- INVALID_EXIT=$EXIT_CODE
- fi
- fi
- popd
- done
-}
-
-check_python_files() {
- DIRECTORIES_TO_BE_TESTED=$1
- DIRECTORIES_NOT_TO_BE_TESTED=$2
-
- # Check python files
- for TEST_DIR in ${DIRECTORIES_TO_BE_TESTED[@]}; do
- pushd $TEST_DIR
- PYTHON_FILES_TO_CHECK=$(git ls-files '*.py')
- ARR=($PYTHON_FILES_TO_CHECK)
- for s in ${DIRECTORIES_NOT_TO_BE_TESTED[@]}; do
- if [[ $s = $TEST_DIR* ]]; then
- skip=${s#$TEST_DIR/}/
- ARR=(${ARR[*]//$skip*})
- fi
- done
- PYTHON_FILES_TO_CHECK=${ARR[*]}
- if [[ ${#PYTHON_FILES_TO_CHECK} -ne 0 ]]; then
- yapf -i --style='{based_on_style: pep8, column_limit: 90}' $PYTHON_FILES_TO_CHECK
- EXIT_CODE=$?
- if [[ $EXIT_CODE -ne 0 ]]; then
- INVALID_EXIT=$EXIT_CODE
- fi
- fi
- popd
- done
-}
-
-echo "Make sure commit all changes before running this checker."
-
-__Check_CPP=${CHECK_CPP:-"1"}
-__Check_PYTHON=${CHECK_PYTHON:-"1"}
-
-DIRECTORIES_TO_BE_TESTED=()
-DIRECTORIES_NOT_TO_BE_TESTED=()
-
-for DIR_TO_BE_TESTED in $(find -name '.FORMATCHECKED' -exec dirname {} \;); do
- DIRECTORIES_TO_BE_TESTED+=("$DIR_TO_BE_TESTED")
-done
-
-for DIR_NOT_TO_BE_TESTED in $(find -name '.FORMATDENY' -exec dirname {} \;); do
- DIRECTORIES_NOT_TO_BE_TESTED+=("$DIR_NOT_TO_BE_TESTED")
-done
-
-if [[ ${#DIRECTORIES_TO_BE_TESTED[@]} -eq 0 ]]; then
- echo "No directories to be checked"
- exit 0
-fi
-
-check_newline
-check_permission
-
-if [[ $__Check_CPP -ne 0 ]]; then
- check_cpp_tool
- check_cpp_files $DIRECTORIES_TO_BE_TESTED $DIRECTORIES_NOT_TO_BE_TESTED
-fi
-
-if [[ $__Check_PYTHON -ne 0 ]]; then
- check_python_tool
- check_python_files $DIRECTORIES_TO_BE_TESTED $DIRECTORIES_NOT_TO_BE_TESTED
-fi
-
-git diff --ignore-submodules > format.patch
-PATCHFILE_SIZE=$(stat -c%s format.patch)
-
-if [[ -z "${CRCHECK}" ]] && [[ $PATCHFILE_SIZE -eq 0 ]] && [[ $INVALID_EXIT -eq 0 ]]; then
- echo "[PASSED] Format checker succeed."
- exit 0
-fi
-
-# Something went wrong
-
-if [[ ! -z "${CRCHECK}" ]]; then
- echo "[FAILED] Please use LF for newline for following files."
- echo "$CRCHECK"
-fi
-
-if [[ $PATCHFILE_SIZE -ne 0 ]]; then
- echo "[FAILED] Format checker failed and update code to follow convention."
- echo " You can find changes in format.patch"
-fi
-
-if [[ $INVALID_EXIT -ne 0 ]]; then
- echo "[[FAILED] Invalid format checker exit."
-fi
-exit 1
diff --git a/scripts/command/gen_coverage_report.sh b/scripts/command/gen_coverage_report.sh
deleted file mode 100755
index fa72717cf..000000000
--- a/scripts/command/gen_coverage_report.sh
+++ /dev/null
@@ -1,57 +0,0 @@
-#!/bin/bash
-
-# This file is based on https://github.sec.samsung.net/STAR/nncc/pull/80
-
-SCRIPT_ROOT="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-HOST_HOME=$SCRIPT_ROOT/../..
-
-LCOV_PATH=$(command -v lcov)
-GENHTML_PATH=$(command -v genhtml)
-
-
-SRC_PREFIX=${SRC_PREFIX:-${DOCKER_HOME}}
-
-if [[ -z "${LCOV_PATH}" ]]; then
- echo "ERROR: 'lcov' is not found"
- exit 255
-fi
-
-if [[ -z "${GENHTML_PATH}" ]]; then
- echo "ERROR: 'genhtml' is not found"
- exit 255
-fi
-
-OUTPUT_PATH="$1"
-
-if [[ -z "${OUTPUT_PATH}" ]]; then
- OUTPUT_PATH="$HOST_HOME/coverage"
-fi
-
-if [[ -e "${OUTPUT_PATH}" ]]; then
- echo "ERROR: '${OUTPUT_PATH}' already exists"
- exit 255
-fi
-
-mkdir -p "${OUTPUT_PATH}"
-
-RAW_COVERAGE_INFO_PATH="${OUTPUT_PATH}/coverage.raw.info"
-LIBS_COVERAGE_INFO_PATH="${OUTPUT_PATH}/coverage.libs.info"
-INCLUDE_COVERAGE_INFO_PATH="${OUTPUT_PATH}/coverage.include.info"
-RUNTIMES_COVERAGE_INFO_PATH="${OUTPUT_PATH}/coverage.runtimes.info"
-TOOLS_COVERAGE_INFO_PATH="${OUTPUT_PATH}/coverage.tools.info"
-FINAL_COVERAGE_INFO_PATH="${OUTPUT_PATH}/coverage.info"
-HTML_PATH="${OUTPUT_PATH}/html"
-COVERTURA_PATH="${OUTPUT_PATH}/nnfw_coverage.xml"
-
-"${LCOV_PATH}" -c -d "${HOST_HOME}" -o "${RAW_COVERAGE_INFO_PATH}"
-"${LCOV_PATH}" -e "${RAW_COVERAGE_INFO_PATH}" -o "${LIBS_COVERAGE_INFO_PATH}" "${SRC_PREFIX}/libs/*"
-"${LCOV_PATH}" -e "${RAW_COVERAGE_INFO_PATH}" -o "${INCLUDE_COVERAGE_INFO_PATH}" "${SRC_PREFIX}/include/*"
-"${LCOV_PATH}" -e "${RAW_COVERAGE_INFO_PATH}" -o "${RUNTIMES_COVERAGE_INFO_PATH}" "${SRC_PREFIX}/runtimes/*"
-"${LCOV_PATH}" -e "${RAW_COVERAGE_INFO_PATH}" -o "${TOOLS_COVERAGE_INFO_PATH}" "${SRC_PREFIX}/tests/tools/*"
-"${LCOV_PATH}" -a "${LIBS_COVERAGE_INFO_PATH}" -a "${INCLUDE_COVERAGE_INFO_PATH}" \
- -a "${RUNTIMES_COVERAGE_INFO_PATH}" -a "${TOOLS_COVERAGE_INFO_PATH}" \
- -o "${FINAL_COVERAGE_INFO_PATH}"
-"${GENHTML_PATH}" "${FINAL_COVERAGE_INFO_PATH}" --output-directory "${HTML_PATH}" ${GENHTML_FLAG:-}
-
-tar -zcf "${OUTPUT_PATH}"/coverage_report.tar.gz "${HTML_PATH}"
-python ${HOST_HOME}/externals/lcov-to-cobertura-xml/lcov_cobertura.py "${FINAL_COVERAGE_INFO_PATH}" -o "${COVERTURA_PATH}"
diff --git a/scripts/command/install b/scripts/command/install
deleted file mode 100644
index a40268a50..000000000
--- a/scripts/command/install
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/bash
-
-source "${NNFW_SCRIPT_PATH}/config/build.configuration"
-
-if [[ ! -d "${BUILD_ALIAS}" ]]; then
- echo "'${BUILD_ALIAS}' does not exist. Please run 'configure' first"
- exit 255
-fi
-
-if [[ ! -d "${INSTALL_ALIAS}" ]]; then
- echo "'${INSTALL_ALIAS}' does not exist. Please run 'configure' first"
- exit 255
-fi
-
-cd ${BUILD_ALIAS}
-make install
diff --git a/scripts/command/nnfw_docker b/scripts/command/nnfw_docker
deleted file mode 100644
index 211124105..000000000
--- a/scripts/command/nnfw_docker
+++ /dev/null
@@ -1,14 +0,0 @@
-DOCKER_IMAGE_NAME=${DOCKER_IMAGE_NAME:-nnfw_docker}
-
-echo "Using docker image $DOCKER_IMAGE_NAME"
-if [[ "$(docker images -q $DOCKER_IMAGE_NAME 2> /dev/null)" == "" ]]; then
- echo "Need docker image: $DOCKER_IMAGE_NAME"
- exit 1
-fi
-
-DOCKER_HOME=/home/nnfw
-
-GIT_SSL_NO_VERIFY=1
-DOCKER_ENV_VARS+=" -e http_proxy"
-DOCKER_ENV_VARS+=" -e no_proxy"
-DOCKER_ENV_VARS+=" -e GIT_SSL_NO_VERIFY"
diff --git a/scripts/command/nnfw_docker_tizen b/scripts/command/nnfw_docker_tizen
deleted file mode 100644
index f2fae9c97..000000000
--- a/scripts/command/nnfw_docker_tizen
+++ /dev/null
@@ -1,14 +0,0 @@
-DOCKER_IMAGE_NAME=${DOCKER_IMAGE_NAME:-nnfw_docker_tizen}
-
-echo "Using docker image $DOCKER_IMAGE_NAME"
-if [[ "$(docker images -q $DOCKER_IMAGE_NAME 2> /dev/null)" == "" ]]; then
- echo "Need docker image: $DOCKER_IMAGE_NAME"
- exit 1
-fi
-
-DOCKER_HOME=/home/nnfw
-
-GIT_SSL_NO_VERIFY=1
-DOCKER_ENV_VARS+=" -e http_proxy"
-DOCKER_ENV_VARS+=" -e no_proxy"
-DOCKER_ENV_VARS+=" -e GIT_SSL_NO_VERIFY"
diff --git a/scripts/command/tizen_xu4_test.sh b/scripts/command/tizen_xu4_test.sh
deleted file mode 100755
index 38894df0f..000000000
--- a/scripts/command/tizen_xu4_test.sh
+++ /dev/null
@@ -1,155 +0,0 @@
-#!/bin/bash
-
-SCRIPT_ROOT="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-HOST_HOME=$SCRIPT_ROOT/../..
-if [ -z "$TEST_ROOT" ]; then
- TEST_ROOT=/opt/usr/nnfw-test
-fi
-
-function Usage()
-{
- echo "Usage: ./tizen_xu4_test.sh --rpm-dir=path/to/rpm-dir --unittest --verification"
- echo "Usage: ./tizen_xu4_test.sh --test-suite-path=path/to/test-suite.tar.gz --unittest --verification"
- echo "--rpm-dir : directory containing nnfw.rpm and nnfw-test.rpm"
- echo "--test-suite-path : filepath to test-suite.tar.gz"
- echo "--unittest : run unittest"
- echo "--verification : run verification"
- echo "--framework : run framework"
- echo "--gcov-dir : directory to save gcov files"
-}
-
-
-function prepare_rpm_test()
-{
- echo "======= Test with rpm packages(gbs build) ======="
- # clean up
- $SDB_CMD shell rm -rf $TEST_ROOT
- $SDB_CMD shell mkdir -p $TEST_ROOT
- # install nnfw nnfw-test rpms
- for file in $RPM_DIR/*
- do
- $SDB_CMD push $file $TEST_ROOT
- $SDB_CMD shell rpm -Uvh $TEST_ROOT/$(basename $file) --force --nodeps
- done
-
- # download tflite model files
- pushd $HOST_HOME
- tests/framework/run_test.sh --download=on
- tar -zcf cache.tar.gz tests/framework/cache
- $SDB_CMD push cache.tar.gz $TEST_ROOT/.
- rm -rf cache.tar.gz
- $SDB_CMD shell tar -zxf $TEST_ROOT/cache.tar.gz -C $TEST_ROOT
-}
-
-function prepare_suite_test()
-{
- echo "======= Test with test-suite(cross build) ======="
- # clean up
- $SDB_CMD shell rm -rf $TEST_ROOT
- $SDB_CMD shell mkdir -p $TEST_ROOT
-
- # install test-suite
- $SDB_CMD push $TEST_SUITE_PATH $TEST_ROOT/$(basename $TEST_SUITE_PATH)
- $SDB_CMD shell tar -zxf $TEST_ROOT/$(basename $TEST_SUITE_PATH) -C $TEST_ROOT
-
- # download tflite model files
- pushd $HOST_HOME
- tests/framework/run_test.sh --download=on
- tar -zcf cache.tar.gz tests/framework/cache
- $SDB_CMD push cache.tar.gz $TEST_ROOT/.
- rm -rf cache.tar.gz
- $SDB_CMD shell tar -zxf $TEST_ROOT/cache.tar.gz -C $TEST_ROOT
-}
-
-
-# Parse command argv
-for i in "$@"
-do
- case $i in
- -h|--help|help)
- Usage
- exit 1
- ;;
- --rpm-dir=*)
- RPM_DIR=${i#*=}
- ;;
- --test-suite-path=*)
- TEST_SUITE_PATH=${i#*=}
- ;;
- --unittest)
- UNITTEST=on
- ;;
- --verification)
- VERIFICATION=on
- ;;
- --framework)
- FRAMEWORK=on
- ;;
- --gcov-dir=*)
- GCOV_DIR=${i#*=}
- ;;
- esac
- shift
-done
-
-
-N=`sdb devices 2>/dev/null | wc -l`
-
-# exit if no device found
-if [[ $N -le 1 ]]; then
- echo "No device found."
- exit 1;
-fi
-
-NUM_DEV=$(($N-1))
-echo "device list"
-DEVICE_LIST=`sdb devices 2>/dev/null`
-echo "$DEVICE_LIST" | tail -n"$NUM_DEV"
-
-if [ -z "$SERIAL" ]; then
- SERIAL=`echo "$DEVICE_LIST" | tail -n1 | awk '{print $1}'`
-fi
-SDB_CMD="sdb -s $SERIAL "
-
-# root on, remount as rw
-$SDB_CMD root on
-$SDB_CMD shell mount -o rw,remount /
-
-SCRIPT_ROOT="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-ROOT=$SCRIPT_ROOT/../
-
-if [ -z "$RPM_DIR" ] && [ -z "$TEST_SUITE_PATH" ]; then
- echo "Please provide --rpm-dir or --test-suite-path"
- exit 255
-fi
-
-if [ ! -z "$RPM_DIR" ]; then
- prepare_rpm_test
-else
- prepare_suite_test
-fi
-
-# run unittest
-if [ "$UNITTEST" == "on" ]; then
- $SDB_CMD shell $TEST_ROOT/tests/scripts/test_driver.sh --unittest --artifactpath=$TEST_ROOT
-fi
-
-# run framework test
-if [ "$FRAMEWORK" == "on" ]; then
- $SDB_CMD shell $TEST_ROOT/tests/scripts/test_driver.sh --frameworktest --artifactpath=$TEST_ROOT
-fi
-
-# run verification
-if [ "$VERIFICATION" == "on" ]; then
- $SDB_CMD shell $TEST_ROOT/tests/scripts/test_driver.sh --verification --artifactpath=$TEST_ROOT
-fi
-
-# pull gcov files
-if [ -n "$GCOV_DIR" ]; then
- $SDB_CMD shell 'rm -rf /home/gcov && mkdir -p /home/gcov'
- $SDB_CMD shell 'find / -type f \( -iname "*.gcda" -or -iname "*.gcno" \) -exec cp {} /home/gcov/. \;'
- $SDB_CMD shell 'cd /home/ && tar -zcvf gcov.tar.gz ./gcov '
- cd $GCOV_DIR
- sdb pull /home/gcov.tar.gz
- tar -zxvf gcov.tar.gz
-fi
diff --git a/scripts/config/build.configuration b/scripts/config/build.configuration
deleted file mode 100644
index cdbf3bf4b..000000000
--- a/scripts/config/build.configuration
+++ /dev/null
@@ -1,5 +0,0 @@
-WORKSPACE_RPATH=${NNFW_WORKSPACE:-Product}
-
-# Soft link path to build and install directory
-BUILD_ALIAS=${NNFW_PROJECT_PATH}/${WORKSPACE_RPATH}/obj
-INSTALL_ALIAS=${NNFW_PROJECT_PATH}/${WORKSPACE_RPATH}/out
diff --git a/scripts/config/docker.configuration b/scripts/config/docker.configuration
deleted file mode 100644
index 806ffb32e..000000000
--- a/scripts/config/docker.configuration
+++ /dev/null
@@ -1,44 +0,0 @@
-#!/bin/bash
-
-source "$NNFW_SCRIPT_PATH/config/image_name.configuration"
-
-echo "Using docker image $DOCKER_IMAGE_NAME"
-
-if [ -z "`docker images | grep $DOCKER_IMAGE_NAME`" ]; then
- echo "Need docker image!"
- exit 1
-fi
-
-HOST_PATH="$NNFW_PROJECT_PATH"
-DOCKER_PATH="$NNFW_PROJECT_PATH"
-
-export GIT_SSL_NO_VERIFY=1
-
-DOCKER_VOLUMES+=" -v $HOST_PATH:$DOCKER_PATH"
-
-if [[ ! -z $ENV_FILE ]]; then
- DOCKER_ENV_VARS+=" --env-file ${ENV_FILE} "
-fi
-
-DOCKER_ENV_VARS+=" -e http_proxy"
-DOCKER_ENV_VARS+=" -e no_proxy"
-DOCKER_ENV_VARS+=" -e GIT_SSL_NO_VERIFY"
-DOCKER_ENV_VARS+=" -e EXTERNAL_DOWNLOAD_SERVER"
-
-DOCKER_RUN_OPTS="${DOCKER_OPTS}"
-DOCKER_RUN_OPTS+=" --rm"
-DOCKER_RUN_OPTS+=" -w $DOCKER_PATH"
-
-function docker_cleanup()
-{
- # Newly created files during during docker run can have different ownership.
- # This may cause some problems, for example, some jenkins slaves or developers
- # can't remove built files due to lack of permission.
- # To address this issue, let's change owner of all files
- # in nncc to owner of nncc.
- NNFW_OWNER_UID=$(stat -c "%u" $HOST_PATH)
- NNFW_OWNER_GID=$(stat -c "%g" $HOST_PATH)
-
- CMD="chown -R $NNFW_OWNER_UID:$NNFW_OWNER_GID $DOCKER_PATH"
- docker run $DOCKER_RUN_OPTS $DOCKER_ENV_VARS $DOCKER_VOLUMES $DOCKER_IMAGE_NAME $CMD
-}
diff --git a/scripts/config/gbs.conf b/scripts/config/gbs.conf
deleted file mode 100644
index af555c399..000000000
--- a/scripts/config/gbs.conf
+++ /dev/null
@@ -1,21 +0,0 @@
-[general]
-#Current profile name which should match a profile section name
-profile = profile.tizen
-
-[profile.tizen]
-user=obs_viewer
-passwdx = QlpoOTFBWSZTWWV18UwAAAKDgAAAkiCZgCAAMQZMQQDJ6jQwAvxdyRThQkGV18Uw
-obs = obs.tizen
-repos = repo.tizen_base,repo.tizen_mobile
-buildroot = /home/GBS-ROOT/
-
-[obs.tizen]
-url = http://api.tizen.org
-
-[repo.tizen_mobile]
-url = http://download.tizen.org/snapshots/tizen/unified/latest/repos/standard/packages/
-
-[repo.tizen_base]
-url = http://download.tizen.org/snapshots/tizen/base/latest/repos/standard/packages/
-
-
diff --git a/scripts/config/image_name.configuration b/scripts/config/image_name.configuration
deleted file mode 100644
index 507f154c7..000000000
--- a/scripts/config/image_name.configuration
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/bash
-
-DOCKER_IMAGE_NAME=${DOCKER_IMAGE_NAME:-nnfw_docker}
diff --git a/scripts/docker/Dockerfile b/scripts/docker/Dockerfile
deleted file mode 100644
index 37e4e1ebf..000000000
--- a/scripts/docker/Dockerfile
+++ /dev/null
@@ -1,19 +0,0 @@
-FROM ubuntu:16.04
-
-ENV http_proxy $http_proxy
-ENV https_proxy $https_proxy
-
-RUN apt-get update && apt-get --yes --force-yes install build-essential
-RUN apt-get update && apt-get --yes --force-yes install scons cmake
-RUN apt-get update && apt-get --yes --force-yes install libboost-all-dev
-RUN apt-get update && apt-get --yes --force-yes install git
-RUN apt-get update && apt-get --yes --force-yes install gcc-5-arm-linux-gnueabi g++-5-arm-linux-gnueabi
-RUN apt-get update && apt-get --yes --force-yes install lcov
-RUN apt-get update && apt-get --yes --force-yes install clang-format-3.9 python-pip
-RUN pip install yapf==0.22.0
-RUN apt-get update && apt-get --yes --force-yes install doxygen graphviz
-RUN apt-get update && apt-get --yes --force-yes install wget
-RUN wget https://releases.linaro.org/components/toolchain/binaries/6.3-2017.02/arm-linux-gnueabihf/gcc-linaro-6.3.1-2017.02-x86_64_arm-linux-gnueabihf.tar.xz -O gcc.tar.xz -nv
-RUN tar -xf gcc.tar.xz -C /opt/ && rm -rf gcc.tar.xz
-ENV PATH "/opt/gcc-linaro-6.3.1-2017.02-x86_64_arm-linux-gnueabihf/bin:$PATH"
-RUN apt-get update && apt-get --yes --force-yes install python3
diff --git a/scripts/docker/Dockerfile_tizen b/scripts/docker/Dockerfile_tizen
deleted file mode 100644
index d56cf78f1..000000000
--- a/scripts/docker/Dockerfile_tizen
+++ /dev/null
@@ -1,13 +0,0 @@
-FROM ubuntu:16.04
-
-ENV http_proxy $http_proxy
-ENV https_proxy $https_proxy
-
-RUN echo 'deb [trusted=yes] http://download.tizen.org/tools/latest-release/Ubuntu_16.04/ /' | cat >> /etc/apt/sources.list
-
-RUN apt-get update && apt-get --yes --force-yes install gbs
-
-RUN apt-get --yes --force-yes install wget unzip
-RUN wget http://download.tizen.org/sdk/tizenstudio/official/binary/sdb_3.1.4_ubuntu-64.zip -O sdb.zip
-RUN unzip -d tmp sdb.zip && rm sdb.zip
-RUN cp tmp/data/tools/sdb /usr/bin/. && rm -rf tmp \ No newline at end of file
diff --git a/scripts/git-hooks/install_hooks.sh b/scripts/git-hooks/install_hooks.sh
deleted file mode 100755
index 9ab7342fc..000000000
--- a/scripts/git-hooks/install_hooks.sh
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/usr/bin/env bash
-
-REPO_PATH=$(git rev-parse --show-toplevel)
-REPO_HOOKS_PATH=scripts/git-hooks
-GIT_HOOKS_PATH=$REPO_PATH/.git/hooks
-REPO_PATH_REL=../.. # Relative path from REPO_HOOKS_PATH
-
-# Create symbolic links to hooks dir
-
-# NOTE `ln -s` does not overwrite if the file exists.
-ln -s $REPO_PATH_REL/$REPO_HOOKS_PATH/pre-push $GIT_HOOKS_PATH/pre-push
diff --git a/scripts/git-hooks/pre-push b/scripts/git-hooks/pre-push
deleted file mode 100755
index adad9bd38..000000000
--- a/scripts/git-hooks/pre-push
+++ /dev/null
@@ -1,32 +0,0 @@
-#!/bin/sh
-
-# An example hook script to verify what is about to be pushed. Called by "git
-# push" after it has checked the remote status, but before anything has been
-# pushed. If this script exits with a non-zero status nothing will be pushed.
-#
-# This hook is called with the following parameters:
-#
-# $1 -- Name of the remote to which the push is being done
-# $2 -- URL to which the push is being done
-#
-# If pushing without using a named remote those arguments will be equal.
-#
-# Information about the commits which are being pushed is supplied as lines to
-# the standard input in the form:
-#
-# <local ref> <local sha1> <remote ref> <remote sha1>
-#
-# This sample shows how to prevent push of commits where the log message starts
-# with "WIP" (work in progress).
-
-remote="$1"
-url="$2"
-
-# RUN FORMAT CHECKER
-
-REPO_PATH=$(git rev-parse --show-toplevel)
-cd $REPO_PATH
-
-./run format-checker.sh
-
-exit $?